#65 Seg Fault in RubyCocoa 1.0.1 on Mac OS X 10.6

open
nobody
crash (13)
5
2010-03-22
2010-03-22
Anonymous
No

Related to another open bug, where installation of 1.0.1 by DMG fails, I installed via source without any errors according to the steps outlined in Getting Started. Install appeared to work correctly, by result is a broken library, seen when I run my rake file here:

[wgray@Ryoan-ji]~/Documents/Sources/Cocoa/StripSync:master
$ rake -T
(in /Users/wgray/Documents/Sources/Cocoa/StripSync)
/Library/Frameworks/RubyCocoa.framework/Resources/ruby/osx/objc/oc_import.rb:127: [BUG] Segmentation fault
ruby 1.8.7 (2010-01-10 patchlevel 249) [i686-darwin10]

Abort trap

Im using the Mac Ports version of Ruby at the moment.

Discussion